<!---
*
* Copyright (C) 2005-2008 Razuna Ltd.
*
* This file is part of Razuna - Enterprise Digital Asset Management.
*
* Razuna is free software: you can redistribute it and/or modify
* it under the terms of the GNU Affero Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* Razuna is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Affero Public License for more details.
*
* You should have received a copy of the GNU Affero Public License
* along with Razuna. If not, see <http://www.gnu.org/licenses/>.
*
* You may restribute this Program with a special exception to the terms
* and conditions of version 3.0 of the AGPL as described in Razuna's
* FLOSS exception. You should have received a copy of the FLOSS exception
* along with Razuna. If not, see <http://www.razuna.com/licenses/>.
*
--->
<cfcomponent output="false">
	
	<!--- Setup the DB if DB is not here --->
	<cffunction name="setup" access="public" output="false">
		<cfargument name="thestruct" type="Struct">

		<!---  --->
		<!--- START: CREATE TABLES --->
		<!---  --->
		<!--- CREATE SEQUENCES --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.sequences 
		(
			theid varchar(100), 
			thevalue INT NOT NULL, 
			PRIMARY KEY (theid)
		) 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('categories_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('collection_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('content_id_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('ct_users_remoteusers_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('ctuag_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('ctug_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('ctuh_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('file_seq', 0)
		</cfquery>
		<!--- <cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('flex_seq', 0)
		</cfquery> --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('folder_seq', 3)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('groupsadmin_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('groups_seq', 3)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('hostid_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('img_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('keywords_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('log_seq', 0)
		</cfquery>
		<!--- <cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('menuesid_seq', 5)
		</cfquery> --->
		<!--- <cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('news_seq', 0)
		</cfquery> --->
		<!--- <cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('pageid_seq', 5)
		</cfquery> --->
		<!--- <cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('pageor_seq', 0)
		</cfquery> --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('permissions_seq', 12)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('pub_grp_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('pub_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('schedule_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('sched_log_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('userlogin_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('users_lists_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('users_seq', 5)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('user_ship_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('valuelist_seq', 0)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.sequences
		(theid, thevalue)
		VALUES('customfield_seq', 0)
		</cfquery>
		<!--- CREATE TABLES --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.modules 
		(
			MOD_ID 			INT NOT NULL, 
			MOD_NAME 		VARCHAR(50) NOT NULL, 
			MOD_SHORT 		VARCHAR(3) NOT NULL, 
			MOD_HOST_ID 	INT DEFAULT NULL, 
			PRIMARY KEY (MOD_ID)
		)
		
		</cfquery>
		<!--- CREATE PERMISSION --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.permissions 
		(
			PER_ID 			INT NOT NULL, 
			PER_KEY  		VARCHAR(50) NOT NULL, 
			PER_HOST_ID 	INT DEFAULT NULL, 
			PER_ACTIVE 		INT DEFAULT 1 NOT NULL, 
			PER_MOD_ID 		INT NOT NULL,
			PER_LEVEL		VARCHAR(10),
			PRIMARY KEY (PER_ID), 
			FOREIGN KEY (PER_MOD_ID) REFERENCES #arguments.thestruct.theschema#.modules (MOD_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		<!--- CREATE GROUPS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.groups
		(	
			GRP_ID 				INT NOT NULL, 
			GRP_NAME 			VARCHAR(50), 
			GRP_HOST_ID 		INT DEFAULT NULL, 
			GRP_MOD_ID 			INT NOT NULL, 
			GRP_TRANSLATION_KEY VARCHAR(50), 
			PRIMARY KEY (GRP_ID), 
			FOREIGN KEY (GRP_MOD_ID) REFERENCES #arguments.thestruct.theschema#.modules (MOD_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		<!--- CREATE HOSTS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.hosts 
		(
		  HOST_ID           INT NOT NULL,
		  HOST_NAME         VARCHAR(20),
		  HOST_PATH         VARCHAR(50),
		  HOST_CREATE_DATE  DATETIME,
		  HOST_DB_PREFIX    VARCHAR(40),
		  HOST_LANG         INT,
		  HOST_TYPE			VARCHAR(2) DEFAULT 'F',
		  HOST_SHARD_GROUP	VARCHAR(10),
		  PRIMARY KEY (HOST_ID)
		)
		
		</cfquery>
		<!--- CREATE USERS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.users 
		(
		  USER_ID              INT NOT NULL,
		  USER_LOGIN_NAME      VARCHAR(50) NOT NULL,
		  USER_EMAIL           VARCHAR(80) NOT NULL,
		  USER_FIRST_NAME      VARCHAR(80),
		  USER_LAST_NAME       VARCHAR(80),
		  USER_PASS            NVARCHAR(max) NOT NULL,
		  USER_COMPANY         VARCHAR(80),
		  USER_STREET          VARCHAR(80),
		  USER_STREET_NR       INT,
		  USER_STREET_2        VARCHAR(80),
		  USER_STREET_NR_2     INT,
		  USER_ZIP             INT,
		  USER_CITY            VARCHAR(50),
		  USER_COUNTRY         VARCHAR(60),
		  USER_PHONE           VARCHAR(30),
		  USER_PHONE_2         VARCHAR(30),
		  USER_MOBILE          VARCHAR(30),
		  USER_FAX             VARCHAR(30),
		  USER_CREATE_DATE     DATETIME,
		  USER_CHANGE_DATE     DATETIME,
		  USER_ACTIVE          VARCHAR(2),
		  USER_IN_ADMIN        VARCHAR(2),
		  USER_IN_DAM          VARCHAR(2),
		  USER_SALUTATION      VARCHAR(255),
		  USER_IN_VP		   VARCHAR(2) DEFAULT 'F',
		  SET2_NIRVANIX_NAME   VARCHAR(500),
		  SET2_NIRVANIX_PASS   VARCHAR(500),
		  PRIMARY KEY (USER_ID)
		)
		
		</cfquery>
		<!--- CREATE CT_GROUPS_USERS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.ct_groups_users
		(	
		CT_G_U_GRP_ID 		INT NOT NULL, 
		CT_G_U_USER_ID 		INT NOT NULL, 
		FOREIGN KEY (CT_G_U_GRP_ID) REFERENCES #arguments.thestruct.theschema#.groups (GRP_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		<!--- CREATE CT_GROUPS_PERMISSIONS (ON DELETE NO ACTION) --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.ct_groups_permissions
		(	
		CT_G_P_PER_ID 		INT NOT NULL, 
		CT_G_P_GRP_ID 		INT NOT NULL, 
		FOREIGN KEY (CT_G_P_PER_ID) REFERENCES #arguments.thestruct.theschema#.permissions (PER_ID) ON DELETE NO ACTION,  
		FOREIGN KEY (CT_G_P_GRP_ID)	REFERENCES #arguments.thestruct.theschema#.groups (GRP_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		<!--- CREATE LOG_ACTIONS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.log_actions 
		(
		  LOG_ACT_ID    INT,
		  LOG_ACT_TEXT  VARCHAR(200),
		  PRIMARY KEY (LOG_ACT_ID)
		)
		
		</cfquery>
		<!--- CREATE CT_USERS_HOSTS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.ct_users_hosts 
		(
		  CT_U_H_USER_ID  INT,
		  CT_U_H_HOST_ID  INT
		)
		
		</cfquery>
		<!--- CREATE USERS_LOGIN --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.users_login 
		(
		  USER_LOGIN_ID         INT NOT NULL,
		  USER_ID               INT,
		  USER_LOGIN_DATE       DATETIME,
		  USER_LOGIN_TIME       DATETIME,
		  USER_LOGIN_PROJECT    INT,
		  USER_LOGIN_SESSION    VARCHAR(200),
		  USER_LOGIN_DATESTAMP  DATETIME
		)
		
		</cfquery>
		<!--- CREATE WISDOM --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.wisdom 
		(
		  WIS_ID      INT,
		  WIS_TEXT    NVARCHAR(max),
		  WIS_AUTHOR  VARCHAR(200),
		  PRIMARY KEY (WIS_ID)
		)
		
		</cfquery>
		<!--- CREATE USERS_COMMENTS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.users_comments
		(
		  USER_ID_R           INT,
		  USER_COMMENT        NVARCHAR(max),
		  CREATE_DATE         DATETIME,
		  CHANGE_DATE         DATETIME,
		  USER_COMMENT_BY     INT,
		  USER_COMMENT_TITLE  NVARCHAR(max),
		  COMMENT_ID          INT
		)
		
		</cfquery>
		<!--- CREATE FILE_TYPES --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.file_types
		(
		  TYPE_ID              VARCHAR(5),
		  TYPE_TYPE            VARCHAR(3),
		  TYPE_MIMECONTENT     VARCHAR(50),
		  TYPE_MIMESUBCONTENT  VARCHAR(50),
		  PRIMARY KEY (TYPE_ID)
		)
		
		</cfquery>
		<!--- CREATE CT_USERS_REMOTEUSERS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.ct_users_remoteusers
		(
		   	CT_U_RU_ID                INT NOT NULL, 
			CT_U_RU_USER_ID           INT NOT NULL, 
			CT_U_RU_REMOTE_URL        NVARCHAR(max) NOT NULL, 
			CT_U_RU_REMOTE_USER_ID    INT NOT NULL, 
			CT_U_RU_REMOTE_USER_NAME  NVARCHAR(max) NOT NULL, 
			CT_U_RU_REMOTE_USER_EMAIL NVARCHAR(max), 
			CT_U_RU_REMOTE_CONFIRMED  INT DEFAULT 0 NOT NULL, 
			CT_U_RU_UUID              NVARCHAR(max) NOT NULL, 
			CT_U_RU_VALIDUNTIL        DATETIME, 
			CT_U_RU_CONFIRMED         INT DEFAULT 0 NOT NULL, 
		PRIMARY KEY (CT_U_RU_ID),
		FOREIGN KEY (CT_U_RU_USER_ID) REFERENCES #arguments.thestruct.theschema#.users (USER_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		<!--- CREATE WEBSERVICES --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.webservices
		(
			SESSIONTOKEN 	VARCHAR(100), 
			TIMEOUT 		DATETIME,
			GROUPOFUSER		VARCHAR(20),
			USERID			INT,
			PRIMARY KEY (SESSIONTOKEN)
		)
		
		</cfquery>
		<!--- CREATE SEARCH REINDEX --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.search_reindex
		(
			theid			VARCHAR(100),
			thevalue		INT,
			thehostid		INT,
			datetime		DATETIME
		)
		
		</cfquery>
		<!---  --->
		<!--- END: CREATE TABLES --->
		<!---  --->
		<!---  --->
		<!--- START: INSERT VALUES --->
		<!---  --->
		<!--- USERS --->
		<cfset thepass = hash("admin", "MD5", "UTF-8")>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.users
		(USER_ID, USER_LOGIN_NAME, USER_EMAIL, USER_FIRST_NAME, USER_LAST_NAME, USER_PASS, USER_ACTIVE, USER_IN_ADMIN, USER_IN_DAM)
		VALUES (1, 'admin', 'your email here', 'SystemAdmin', 'SystemAdmin', '#thepass#', 'T', 'T', 'T')
		</cfquery>
		<!--- MODULES --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.modules
		(mod_id, mod_name, mod_short, mod_host_id)
		VALUES(	1, 'razuna', 'ecp', NULL)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.modules
		(mod_id, mod_name, mod_short, mod_host_id)
		VALUES(	2, 'admin', 'adm', NULL)
		</cfquery>
		<!--- DEFAULT ADMIN GROUPS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.groups
		(grp_id, grp_name, grp_host_id, grp_mod_id)
		VALUES(	1, 'SystemAdmin', NULL, 2 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.groups
		(grp_id, grp_name, grp_host_id, grp_mod_id)
		VALUES(	2, 'Administrator', NULL, 2	)
		</cfquery>
		<!--- DEFAULT ADMIN CROSS TABLE --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.ct_groups_users
		(CT_G_U_GRP_ID, CT_G_U_USER_ID)
		VALUES(	1, 1)
		</cfquery>
		<!--- DEFAULT ADMIN PERMISSIONS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (1,'SystemAdmin',null,1,2,null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (2,'Administrator',null,1,2,null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (3,'PER_USERS:N',null,1,2,null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (4,'PER_USERS:R',null,1,2,null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (5,'PER_USERS:W',null,1,2,null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (6,'PER_GROUPS:N',null,1,2,null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (7,'PER_GROUPS:R',null,1,2,null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (8,'PER_GROUPS:W',null,1,2,null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (9,'PER_GROUPS_ADMIN:N',null,1,2,null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (10,'PER_GROUPS_ADMIN:R',null,1,2,null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		Insert into #arguments.thestruct.theschema#.permissions (PER_ID,PER_KEY,PER_HOST_ID,PER_ACTIVE,PER_MOD_ID,PER_LEVEL) values (11,'PER_GROUPS_ADMIN:W',null,1,2,null)
		</cfquery>
		<!--- DEFAULT ADMIN PERMISSIONS CROSS TABLE --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 1, 1 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 2, 1 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 3, 1 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 4, 1 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 5, 1 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 6, 1 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 7, 1 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 8, 1 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 9, 1 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 10, 1 )
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO	#arguments.thestruct.theschema#.ct_groups_permissions( CT_G_P_PER_ID, CT_G_P_GRP_ID )VALUES( 11, 1 )
		</cfquery>
		<!--- WISDOM --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		2, 'In giving advice, seek to help, not please, your friend.', 'Solon') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		3, 'A friend is one to whom you can pour out the contents of your heart, chaff and grain alike. Knowning that the gentlest of hands will take and sift it, keep what is worth keeping, and with a breath of kindness, blow the rest away.'
		, 'Anonymous') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		4, 'The most exciting phrase to hear in science, the one that heralds new discoveries, is not "Eureka" (I found it!) but "That''s funny ..."'
		, 'Isaac Asimov') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		5, 'Everyone should carefully observe which way his heart draws him, and then choose that way with all his strength!'
		, 'Hasidic saying') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		6, 'Mend your speech a little, lest it may mar your fortunes.', 'Shakespeare, King Lear')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#"> 
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		7, 'In preparing for battle I have always found that plans are useless, but planning is indispensable.'
		, 'Dwight D. Eisenhower') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		8, 'It''s all right to aim high if you have plenty of ammunition.', 'Hawley R. Everhart')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#"> 
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		10, 'A great civilization is not concurred from without until it has destroyed itself from within.'
		, 'Will Durant') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		11, 'Travel far enough away, my friend, and you''ll discover something of great beauty: your self'
		, 'Cirque du Soleil') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		1, 'There are Painters who transform the sun to a yellow spot, but there are others who with the help of their art and their intelligence, transform a yellow spot into the sun.'
		, 'Pablo Picasso') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		9, 'The significant problems we have cannot be solved at the same level of thinking with which we created them.'
		, 'Albert Einstein') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		12, 'Acquaintance, n.: A person whom we know well enough to borrow from, but not well enough to lend to. '
		, 'Ambrose Bierce') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		13, 'The best investment is in the tools of one''s trade.', 'Benjamin Franklin')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#"> 
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		14, 'We all agree that your theory is crazy -- but is it crazy enough?', 'Niels Bohr')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#"> 
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		15, 'Genius without education is like silver in the mine.', 'Benjamin Franklin')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#"> 
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		16, 'Anybody can sympathise with the sufferings of a friend, but it requires a very fine nature to sympathise with a friend''s success.', 'Oscar Wilde') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		17, 'Absurdity, n.: A statement or belief manifestly incosistent with one''s own.', 'Ambrose Bierce')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#"> 
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		18, 'There''s no trick to being a humorist when you have the whole government working for you.', 'Will Rogers')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		19, 'The real question is not whether machines think but whether men do. The mystery which surrounds a thinking machine already surrounds a thinking man.', 'B.F.Skinner') 
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		20, 'That we must all die, we always knew; I wish I had remembered it sooner.', 'Samuel Johnson')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		21, 'The key to living well is first to will that which is necessary and then to love that which is willed.', 'Irving Yalom')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		22, 'Always tell the truth. You will gratify some people and astonish the rest.', 'Mark Twain')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		23, 'See everything. Ignore a lot. Improve a little.', 'Pope John Paul II')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		24, 'Resentment is like taking poison and hoping the other person dies.', 'St. Augustine')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		25, 'Hope is definitely not the same thing as optimism. It is not the conviction that something will turn out well, but the certainty that something makes sense, regardless of how it turns out.', 'Vaclav Havel')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		26, 'We must never be ashamed of our tears, they are rain from heaven washing the dust from our hard hearts.', 'Charles Dickens')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		27, 'Our business in life is not to succeed, but to continue to fail in good spirits.', 'Robert Louis Stevenson')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		28, 'Be who you are and say what you feel because the people who mind don''t matter and the people who matter don''t mind.', 'Theodor Geisel')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		29, 'It is well to remember that the entire universe, with one trifling exception, is composed of others.', 'John Andrew Holmes')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		30, 'Fail to honor people, they fail to honor you.', 'Lao Tzu')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		31, 'You can leave anything out, as long as you know what it is.', 'Ernest Hemingway')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		32, 'The future is here. It''s just not evenly distributed yet.', 'William Gibson')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		33, 'The future always comes too fast and in the wrong order.', 'Alvin Toffler')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		34, 'There will always be people who are ahead of the curve, and people who are behind the curve. But knowledge moves the curve.', 'Bill James')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		35, 'History is a wave that moves through time slightly faster than we do.', 'Kim Stanley Robinson')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		36, 'Inspiration is for amateurs. I just get to work.', 'Chuck Close')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		37, 'The best and most beautiful things in the world cannot be seen or even touched. They must be felt with the heart.', 'Hellen Keller')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		38, 'Small opportunities are often the beginning of great enterprises.', 'Demosthenes')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		39, 'Simplicity is the utlimate sophistication.', 'Leonardo da Vinci')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		40, 'A journey of thousand miles begins with a single step.', 'Lao tzu')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		41, 'What we think, we become.', 'Buddha')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.wisdom ( WIS_ID, WIS_TEXT, WIS_AUTHOR ) VALUES ( 
		42, 'Great minds discuss ideas. Average minds discuss events. Small minds discuss people.', 'Eleanor Roosevelt');
		</cfquery>
		<!--- FILE TYPES --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('doc', 'doc', 'application', 'vnd.ms-word')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('docx', 'doc', 'application', 'vnd.ms-word')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('xls', 'doc', 'application', 'vnd.ms-excel')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('xlsx', 'doc', 'application', 'vnd.ms-excel')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('ppt', 'doc', 'application', 'vnd.ms-powerpoint')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('pptx', 'doc', 'application', 'vnd.ms-powerpoint')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('pdf', 'doc', 'application', 'pdf')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('txt', 'doc', 'application', 'txt')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('psd', 'img', 'application', 'photoshop')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('ai', 'img', 'application', 'photoshop')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('eps', 'img', 'application', 'eps')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('jpg', 'img', 'image', 'jpg')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('jpeg', 'img', 'image', 'jpeg')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('gif', 'img', 'image', 'gif')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('png', 'img', 'image', 'png')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('bmp', 'img', 'image', 'bmp')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('cal', 'img', null, null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('dcm', 'img', null, null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('fpx', 'img', 'image', 'vnd.fpx')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('pbm', 'img', 'image', 'pbm')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('pgm', 'img', 'image', 'x-portable-graymap')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('ppm', 'img', 'image', 'x-portable-pixmap')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('pnm', 'img', 'image', 'x-portable-anymap')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('pcx', 'img', 'image', 'pcx')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('pct', 'img', null, null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('rpx', 'img', null, null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('ras', 'img', 'image', 'ras')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('tga', 'img', 'image', 'tga')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('tif', 'img', 'image', 'tif')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('tiff', 'img', 'image', 'tiff')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('wbmp', 'img', 'image', 'vnd.wap.wbmp')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('nef', 'img', 'image', 'nef')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('swf', 'vid', 'application', 'x-shockwave-flash')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('flv', 'vid', 'application', 'x-shockwave-flash')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('mov', 'vid', 'video', 'quicktime')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('avi', 'vid', 'video', 'avi')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('3gp', 'vid', 'video', '3gpp')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('rm', 'vid', 'application', 'vnd.rn-realmedia')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('mpg', 'vid', 'video', 'mpeg')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('mp4', 'vid', 'video', 'mp4v-es')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('wmv', 'vid', 'video', 'x-ms-wmv')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('vob', 'vid', 'video', 'mpeg')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('ogv', 'vid', 'video', 'ogv')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('webm', 'vid', 'video', 'webm')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('aff', 'aud', null, null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('aft', 'aud', null, null)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('au', 'aud', 'audio', 'basic')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('ram', 'aud', 'audio', 'x-pn-realaudio')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('wav', 'aud', 'audio', 'x-wav')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('mp3', 'aud', 'audio', 'mpeg')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('aiff', 'aud', 'audio', 'x-aiff')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('aif', 'aud', 'audio', 'x-aiff')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('aifc', 'aud', 'audio', 'x-aiff')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('snd', 'aud', 'audio', 'basic')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('mid', 'aud', 'audio', 'mid')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('m3u', 'aud', 'audio', 'x-mpegurl')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('rmi', 'aud', 'audio', 'mid')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('ra', 'aud', 'audio', 'x-pn-realaudio')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('flac', 'aud', 'audio', 'flac')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('ogg', 'aud', 'audio', 'ogg')
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		INSERT INTO #arguments.thestruct.theschema#.file_types VALUES ('m4a', 'aud', 'audio', 'x-m4a')
		</cfquery>
	</cffunction>
	
	<!--- Create Host Remote --->
	<cffunction name="create_host_remote" access="remote" output="false">
		<cfargument name="dsn" type="string" required="true">
		<cfargument name="theschema" type="string" required="true">
		<cfargument name="host_db_prefix" type="string" required="true">
		<!--- Params --->
		<cfset arguments.thestruct = structnew()>
		<cfset arguments.thestruct.dsn = arguments.dsn>
		<cfset arguments.thestruct.theschema = arguments.theschema>
		<cfset arguments.thestruct.host_db_prefix = arguments.host_db_prefix>
		<!--- Create Tables --->
		<cfinvoke method="create_tables" thestruct="#arguments.thestruct#">
		<!--- CREATE THE INDEXES
		<cfinvoke method="create_indexes" thestruct="#arguments.thestruct#"> --->
	</cffunction>
	
	<!--- Create Host --->
	<cffunction name="create_host" access="public" output="false">
		<cfargument name="thestruct" type="Struct">
		<cfset arguments.thestruct.theschema = application.razuna.theschema>
		<!--- Create Tables --->
		<cfinvoke method="create_tables" thestruct="#arguments.thestruct#">
		<!--- CREATE THE INDEXES
		<cfinvoke method="create_indexes" thestruct="#arguments.thestruct#"> --->
	</cffunction>
	
	<!--- Create Tables --->
	<cffunction name="create_tables" access="public" output="false">
		<cfargument name="thestruct" type="Struct">
		
		<!--- ASSETS_TEMP --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#assets_temp 
		(
			TEMPID 			VARCHAR(200), 
			FILENAME 		VARCHAR(255), 
			EXTENSION 		VARCHAR(10), 
			DATE_ADD 		DATETIME, 
			FOLDER_ID		INT, 
			WHO				INT, 
			FILENAMENOEXT	VARCHAR(255), 
			PATH 			NVARCHAR(max), 
			MIMETYPE		VARCHAR(255), 
			THESIZE			INT,
			GROUPID			INT,
			SCHED_ACTION	INT,
			SCHED_ID		INT,
			FILE_ID			INT,
			LINK_KIND		VARCHAR(20),
			HOST_ID			INT
		)
		</cfquery>
		
		<!--- XMP --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#xmp 
		(
			id_r					INT,
			asset_type				varchar(10),
			subjectcode				varchar(200),
			creator					varchar(200),
			title					varchar(200),
			authorsposition			varchar(200),
			captionwriter			varchar(200),
			ciadrextadr				varchar(200),
			category				varchar(200),
			supplementalcategories	NVARCHAR(max),
			urgency					varchar(200),
			description				NVARCHAR(max),
			ciadrcity				varchar(200),
			ciadrctry				varchar(200),
			location				varchar(200),
			ciadrpcode				varchar(200),
			ciemailwork				varchar(200),
			ciurlwork				varchar(200),
			citelwork				varchar(200),
			intellectualgenre		varchar(200),
			instructions			NVARCHAR(max),
			source					varchar(200),
			usageterms				NVARCHAR(max),
			copyrightstatus			NVARCHAR(max),
			transmissionreference	varchar(200),
			webstatement			NVARCHAR(max),
			headline				varchar(200),
			datecreated				varchar(200),
			city					varchar(200),
			ciadrregion				varchar(200),
			country					varchar(200),
			countrycode				varchar(200),
			scene					varchar(200),
			state					varchar(200),
			credit					varchar(200),
			rights					NVARCHAR(max),
			host_id					INT
		)  
		
		</cfquery>
		
		<!--- CART --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#cart
		(
		  CART_ID           	VARCHAR(200),
		  USER_ID           	INT,
		  CART_QUANTITY     	INT,
		  CART_PRODUCT_ID   	INT,
		  CART_CREATE_DATE  	DATETIME,
		  CART_CREATE_TIME  	DATETIME,
		  CART_CHANGE_DATE  	DATETIME,
		  CART_CHANGE_TIME  	DATETIME,
		  CART_FILE_TYPE    	VARCHAR(5),
		  cart_order_email 		varchar(150),
		  cart_order_message 	varchar(2000),
		  cart_order_done 		varchar(1), 
		  cart_order_date 		timestamp,
		  cart_order_user_r 	INT,
		  HOST_ID				INT
		)
		
		</cfquery>
		
		<!--- FOLDERS (ON DELETE NO ACTION)--->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#folders
		(
		  FOLDER_ID             INT,
		  FOLDER_NAME           VARCHAR(200),
		  FOLDER_LEVEL          INT,
		  FOLDER_ID_R           INT,
		  FOLDER_MAIN_ID_R      INT,
		  FOLDER_OWNER          INT,
		  FOLDER_CREATE_DATE    DATETIME,
		  FOLDER_CREATE_TIME    DATETIME,
		  FOLDER_CHANGE_DATE    DATETIME,
		  FOLDER_CHANGE_TIME    DATETIME,
		  FOLDER_IS_IMG_FOLDER  VARCHAR(2),
		  FOLDER_IMG_PUB_ID     INT,
		  FOLDER_OF_USER        VARCHAR(2) DEFAULT NULL,
		  FOLDER_IS_COLLECTION  VARCHAR(2) DEFAULT NULL,
		  FOLDER_IS_VID_FOLDER  VARCHAR(2),
		  FOLDER_VID_PUB_ID		INT,
		  FOLDER_AVAILABLE_DSC  INT DEFAULT 1,
		  FOLDER_SHARED			VARCHAR(2) DEFAULT 'F',
		  FOLDER_NAME_SHARED	VARCHAR(200),
		  LINK_PATH				VARCHAR(200),
		  share_dl_org			varchar(1) DEFAULT 'f',
     	  share_comments		varchar(1) DEFAULT 'f',
		  share_upload			varchar(1) DEFAULT 'f',
		  share_order			varchar(1) DEFAULT 'f',
		  share_order_user		INT,
		  HOST_ID				INT,
		FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- FOLDERS DESC --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#folders_desc
		(
		  FOLDER_ID_R  INT,
		  LANG_ID_R    INT,
		  FOLDER_DESC  NVARCHAR(max),
		  HOST_ID	   INT,
		FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- FOLDERS GROUPS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#folders_groups
		(
		  FOLDER_ID_R     INT,
		  GRP_ID_R        INT,
		  GRP_PERMISSION  VARCHAR(2),
		  HOST_ID		  INT,
		FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- FILES --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#files
		(
		  FILE_ID              INT,
		  FOLDER_ID_R          INT DEFAULT NULL,
		  FILE_CREATE_DATE     DATETIME,
		  FILE_CREATE_TIME     DATETIME,
		  FILE_CHANGE_DATE     DATETIME,
		  FILE_CHANGE_TIME     DATETIME,
		  FILE_OWNER           INT,
		  FILE_TYPE            VARCHAR(5),
		  FILE_NAME            VARCHAR(200),
		  FILE_EXTENSION       VARCHAR(10) DEFAULT NULL,
		  FILE_NAME_NOEXT      VARCHAR(200),
		  FILE_CONTENTTYPE     VARCHAR(100),
		  FILE_CONTENTSUBTYPE  VARCHAR(100),
		  FILE_REMARKS         NVARCHAR(max),
		  FILE_ONLINE          VARCHAR(2),
		  FILE_NAME_ORG        VARCHAR(200),
		  FILE_SIZE			   INT,
		  LUCENE_KEY		   VARCHAR(2000),
		  SHARED			   VARCHAR(2) DEFAULT 'F',
		  LINK_KIND			   VARCHAR(20),
		  LINK_PATH_URL		   VARCHAR(2000),
		  FILE_META			   NVARCHAR(max),
		  HOST_ID			   INT,
		  PATH_TO_ASSET		   VARCHAR(100),
		  CLOUD_URL			   VARCHAR(500),
		  CLOUD_URL_ORG		   VARCHAR(500),
		  HASHTAG			   VARCHAR(100),
		  IS_AVAILABLE		  VARCHAR(1) DEFAULT 0,
		  CLOUD_URL_EXP		   INT,
		PRIMARY KEY (FILE_ID),
		FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- FILES DESC --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#files_desc
		(
		  ID			 INT NOT NULL IDENTITY(1,1),
		  FILE_ID_R      INT,
		  LANG_ID_R      INT,
		  FILE_DESC      NVARCHAR(max),
		  FILE_KEYWORDS  NVARCHAR(max),
		  HOST_ID		 INT,
		PRIMARY KEY (ID),
		FOREIGN KEY (FILE_ID_R)	REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#files (FILE_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- IMAGES --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#images
		(
		  IMG_ID              INT,
		  METABLOB        	  VARCHAR(1),
		  METAEXIF            VARCHAR(1),
		  METAIPTC            VARCHAR(1),
		  METAXMP             VARCHAR(1),
		  IMAGE               VARCHAR(1),
		  THUMB               VARCHAR(1),
		  COMP                VARCHAR(1),
		  COMP_UW             VARCHAR(1),
		  IMG_GROUP           INT DEFAULT NULL,
		  IMG_PUBLISHER       VARCHAR(200),
		  IMG_FILENAME        VARCHAR(200),
		  FOLDER_ID_R         INT DEFAULT NULL,
		  IMG_CUSTOM_ID       VARCHAR(100),
		  IMG_ONLINE          VARCHAR(2),
		  IMG_OWNER           INT,
		  IMG_CREATE_DATE     DATETIME,
		  IMG_CREATE_TIME     DATETIME,
		  IMG_CHANGE_DATE     DATETIME,
		  IMG_CHANGE_TIME     DATETIME,
		  IMG_RANKING         INT,
		  IMG_SINGLE_SALE     VARCHAR(2),
		  IMG_IS_NEW          VARCHAR(2),
		  IMG_SELECTION       VARCHAR(2),
		  IMG_IN_PROGRESS     VARCHAR(2),
		  IMG_ALIGNMENT       VARCHAR(200),
		  IMG_LICENSE         VARCHAR(200),
		  IMG_DOMINANT_COLOR  VARCHAR(200),
		  IMG_COLOR_MODE      VARCHAR(200),
		  IMG_IMAGE_TYPE      VARCHAR(200),
		  IMG_CATEGORY_ONE    NVARCHAR(max),
		  IMG_REMARKS         NVARCHAR(max),
		  IMG_EXTENSION       VARCHAR(6),
		  THUMB_EXTENSION	  VARCHAR(6),
		  THUMB_WIDTH         INT,
		  THUMB_HEIGHT        INT,
		  IMG_FILENAME_ORG    VARCHAR(200),
		  IMG_WIDTH           INT,
  		  IMG_HEIGHT          INT,
	 	  IMG_SIZE            INT,
  		  THUMB_SIZE          INT,
		  LUCENE_KEY		  VARCHAR(2000),
		  SHARED			  VARCHAR(2) DEFAULT 'F',
		  LINK_KIND			  VARCHAR(20),
		  LINK_PATH_URL		  VARCHAR(2000),
		  HOST_ID			  INT,
		  IMG_META			  NVARCHAR(max),
		  PATH_TO_ASSET		  VARCHAR(100),
		   CLOUD_URL			   VARCHAR(500),
		  CLOUD_URL_ORG		   VARCHAR(500),
		  HASHTAG			   VARCHAR(100),
		  IS_AVAILABLE		  VARCHAR(1) DEFAULT 0,
		  CLOUD_URL_EXP		   INT,
		PRIMARY KEY (IMG_ID),
		FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- IMAGES TEXT --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#images_text
		(
		  ID			   INT NOT NULL IDENTITY(1,1),
		  IMG_ID_R         INT NOT NULL,
		  LANG_ID_R        INT NOT NULL,
		  IMG_KEYWORDS     NVARCHAR(max),
		  IMG_DESCRIPTION  NVARCHAR(max),
		  HOST_ID		   INT,
		PRIMARY KEY (ID),
		FOREIGN KEY (IMG_ID_R) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#images (IMG_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- LOG ASSETS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#log_assets
		(
		  LOG_ID INT NOT NULL, 
		  LOG_USER INT, 
		  LOG_ACTION VARCHAR(100), 
		  LOG_DATE DATETIME, 
		  LOG_TIME DATETIME, 
		  LOG_DESC NVARCHAR(max), 
		  LOG_FILE_TYPE VARCHAR(5), 
		  LOG_BROWSER NVARCHAR(max), 
		  LOG_IP VARCHAR(200), 
		  LOG_TIMESTAMP DATETIME,
		  HOST_ID INT, 
		  PRIMARY KEY (LOG_ID)
		)
		
		</cfquery>
		
		<!--- LOG FOLDERS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#log_folders
		(
		  LOG_ID INT NOT NULL, 
		  LOG_USER INT, 
		  LOG_ACTION VARCHAR(100), 
		  LOG_DATE DATETIME, 
		  LOG_TIME DATETIME, 
		  LOG_DESC NVARCHAR(max), 
		  LOG_BROWSER NVARCHAR(max), 
		  LOG_IP VARCHAR(200), 
		  LOG_TIMESTAMP DATETIME, 
		  HOST_ID				INT,
		  PRIMARY KEY (LOG_ID)
		)
		
		</cfquery>
		
		<!--- LOG USERS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#log_users
		(
		  LOG_ID INT NOT NULL, 
		  LOG_USER INT, 
		  LOG_ACTION VARCHAR(100), 
		  LOG_DATE DATETIME, 
		  LOG_TIME DATETIME, 
		  LOG_DESC NVARCHAR(max), 
		  LOG_BROWSER NVARCHAR(max), 
		  LOG_IP VARCHAR(200), 
		  LOG_TIMESTAMP DATETIME,
		  LOG_SECTION VARCHAR(10),
		  HOST_ID				INT,
		  PRIMARY KEY (LOG_ID)
		)
		
		</cfquery>
		
		<!--- LOG SEARCH --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#log_search
		(
		  LOG_ID          INT NOT NULL,
		  LOG_USER        INT,
		  LOG_DATE        DATETIME,
		  LOG_TIME        DATETIME,
		  LOG_SEARCH_FOR  NVARCHAR(max),
		  LOG_FOUNDITEMS  INT,
		  LOG_SEARCH_FROM VARCHAR(50),
		  LOG_TIMESTAMP DATETIME,
		  LOG_BROWSER NVARCHAR(max), 
		  LOG_IP VARCHAR(200), 
		  HOST_ID				INT,
		PRIMARY KEY (LOG_ID)
		)
		
		</cfquery>
		
		<!--- SETTINGS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#settings
		(
		  SET_ID    VARCHAR(100) NOT NULL,
		  SET_PREF  NVARCHAR(max),
		  HOST_ID				INT,
		FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- SETTINGS 2 --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#settings_2
		(
		  SET2_ID                       INT NOT NULL,
		  SET2_DATE_FORMAT              VARCHAR(20),
		  SET2_DATE_FORMAT_DEL          VARCHAR(3),
		  SET2_META_KEYWORDS            NVARCHAR(max),
		  SET2_META_DESC                NVARCHAR(max),
		  SET2_META_AUTHOR              VARCHAR(200),
		  SET2_META_PUBLISHER           VARCHAR(200),
		  SET2_META_COPYRIGHT           VARCHAR(200),
		  SET2_META_ROBOTS              VARCHAR(200),
		  SET2_META_REVISIT             VARCHAR(200),
		  SET2_META_CUSTOM              NVARCHAR(max),
		  SET2_URL_SP_ORIGINAL          NVARCHAR(max),
		  SET2_URL_SP_THUMB             NVARCHAR(max),
		  SET2_URL_SP_COMP              NVARCHAR(max),
		  SET2_URL_SP_COMP_UW           NVARCHAR(max),
		  SET2_INTRANET_LOGO            VARCHAR(1),
		  SET2_URL_APP_SERVER           NVARCHAR(max),
		  SET2_ORA_PATH_INTERNAL        NVARCHAR(max),
		  SET2_CREATE_IMGFOLDERS_WHERE  INT,
		  SET2_IMG_FORMAT               VARCHAR(4),
		  SET2_IMG_THUMB_WIDTH          INT,
		  SET2_IMG_THUMB_HEIGTH         INT,
		  SET2_IMG_COMP_WIDTH           INT,
		  SET2_IMG_COMP_HEIGTH          INT,
		  SET2_IMG_DOWNLOAD_ORG         VARCHAR(2),
		  SET2_DOC_DOWNLOAD             VARCHAR(2),
		  SET2_INTRANET_REG_EMAILS      NVARCHAR(max),
		  SET2_INTRANET_REG_EMAILS_SUB  NVARCHAR(max),
		  SET2_INTRANET_GEN_DOWNLOAD    VARCHAR(2),
		  SET2_CAT_WEB                  VARCHAR(2),
		  SET2_CAT_INTRA                VARCHAR(2),
		  SET2_URL_WEBSITE              NVARCHAR(max),
		  SET2_PAYMENT_PRE              VARCHAR(2),
		  SET2_PAYMENT_BILL             VARCHAR(2),
		  SET2_PAYMENT_POD              VARCHAR(2),
		  SET2_PAYMENT_CC               VARCHAR(2),
		  SET2_PAYMENT_CC_CARDS         NVARCHAR(max),
		  SET2_PAYMENT_PAYPAL           VARCHAR(2),
		  SET2_PATH_IMAGEMAGICK         NVARCHAR(max),
		  SET2_EMAIL_SERVER             VARCHAR(200),
		  SET2_EMAIL_FROM               VARCHAR(200),
		  SET2_EMAIL_SMTP_USER          VARCHAR(200),
		  SET2_EMAIL_SMTP_PASSWORD      VARCHAR(200),
		  SET2_EMAIL_SERVER_PORT        INT,
		  SET2_ORA_PATH_INCOMING		NVARCHAR(max),
		  SET2_ORA_PATH_INCOMING_BATCH	NVARCHAR(max),
		  SET2_ORA_PATH_OUTGOING		NVARCHAR(max),
		  SET2_VID_PREVIEW_HEIGTH		INT,
		  SET2_VID_PREVIEW_WIDTH		INT,
		  SET2_PATH_FFMPEG				NVARCHAR(max),
		  SET2_VID_PREVIEW_TIME			VARCHAR(10),
		  SET2_VID_PREVIEW_START		VARCHAR(10),
		  SET2_URL_SP_VIDEO				NVARCHAR(max),
		  SET2_URL_SP_VIDEO_PREVIEW		NVARCHAR(max),
		  SET2_VID_PREVIEW_AUTHOR		VARCHAR(200),
		  SET2_VID_PREVIEW_COPYRIGHT	VARCHAR(200),
		  SET2_CAT_VID_WEB				VARCHAR(2),
		  SET2_CAT_VID_INTRA			VARCHAR(2),
		  SET2_CAT_AUD_WEB				VARCHAR(2),
		  SET2_CAT_AUD_INTRA			VARCHAR(2),
		  SET2_CREATE_VIDFOLDERS_WHERE	INT,
		  SET2_PATH_TO_ASSETS			NVARCHAR(max),
		  SET2_PATH_TO_EXIFTOOL         NVARCHAR(max),
		  SET2_NIRVANIX_NAME			VARCHAR(500),
		  SET2_NIRVANIX_PASS			VARCHAR(500),
		  HOST_ID						INT,
		  SET2_AWS_BUCKET				VARCHAR(100),
		  FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- KEYWORDS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#img_keywords
		(
		  KEY_ID     INT NOT NULL,
		  KEY_LEVEL  INT,
		  KEY_ID_R   INT,
		  HOST_ID				INT,
		PRIMARY KEY (KEY_ID),
		FOREIGN KEY (KEY_ID_R) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#img_keywords (KEY_ID) ON DELETE NO ACTION
		)
		
		</cfquery>
		
		<!--- KEYWORDS TEXT --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#img_keywords_text
		(
		  KEY_ID_R   INT,
		  LANG_ID_R  INT,
		  KEY_TEXT   NVARCHAR(max),
		  HOST_ID				INT,
		FOREIGN KEY (KEY_ID_R) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#img_keywords (KEY_ID) ON DELETE CASCADE
		)
		</cfquery>
		
		<!--- TEMP --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#temp
		(
		  TMP_TOKEN     VARCHAR(100),
		  TMP_FILENAME  NVARCHAR(max),
		  HOST_ID				INT
		)
		</cfquery>
		
		<!--- COLLECTIONS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#collections
		(
		  COL_ID        	INT NOT NULL,
		  FOLDER_ID_R   	INT DEFAULT NULL,
		  COL_OWNER     	INT,
		  CREATE_DATE   	DATETIME,
		  CREATE_TIME   	DATETIME,
		  CHANGE_DATE   	DATETIME,
		  CHANGE_TIME   	DATETIME,
		  COL_TEMPLATE  	VARCHAR(100),
		  COL_SHARED		VARCHAR(2) DEFAULT 'F',
		  COL_NAME_SHARED	VARCHAR(200),
		  share_dl_org		varchar(1) DEFAULT 'f',
     	  share_comments	varchar(1) DEFAULT 'f',
		  share_upload		varchar(1) DEFAULT 'f',
		  share_order		varchar(1) DEFAULT 'f',
		  share_order_user	INT,
		  HOST_ID			INT,
		PRIMARY KEY (COL_ID),
		FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- COLLECTIONS TEXT --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#collections_text
		(
		  COL_ID_R      INT,
		  LANG_ID_R     INT,
		  COL_DESC      NVARCHAR(max),
		  COL_KEYWORDS  NVARCHAR(max),
		  COL_NAME      NVARCHAR(max),
		  HOST_ID				INT,
		FOREIGN KEY (COL_ID_R) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#collections (COL_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- COLLECTIONS FILES CROSS TABLE --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#collections_ct_files
		(
		  COL_ID_R       	INT,
		  FILE_ID_R      	INT,
		  COL_FILE_TYPE  	VARCHAR(5),
		  COL_ITEM_ORDER  	INT,
		  COL_FILE_FORMAT  	VARCHAR(20),
		  HOST_ID				INT,
		FOREIGN KEY (COL_ID_R) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#collections (COL_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- COLLECTIONS GROUPS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#collections_groups
		(
		  COL_ID_R       	INT,
		  GRP_ID_R			BIGINT,
		  GRP_PERMISSION	VARCHAR(2),
		  HOST_ID			INT,
		FOREIGN KEY (COL_ID_R) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#collections (COL_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- USER FAVORITES --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#users_favorites
		(
		  USER_ID_R  INT,
		  FAV_TYPE   VARCHAR(8),
		  FAV_ID     INT,
		  FAV_KIND   VARCHAR(8),
		  FAV_ORDER  INT,
		  HOST_ID	 INT,
		FOREIGN KEY (USER_ID_R) REFERENCES #arguments.thestruct.theschema#.users (USER_ID) ON DELETE SET NULL
		)
		
		</cfquery>
		
		<!--- VIDEOS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#videos
		(
		VID_ID					INT,
		VID_FILENAME			VARCHAR(200),
		FOLDER_ID_R				INT DEFAULT NULL,
		VID_CUSTOM_ID			VARCHAR(100),
		VID_ONLINE				VARCHAR(2),
		VID_OWNER				INT,
		VID_CREATE_DATE			DATETIME,
		VID_CREATE_TIME			DATETIME,
		VID_CHANGE_DATE			DATETIME,
		VID_CHANGE_TIME			DATETIME,
		VID_RANKING				INT,
		VID_SINGLE_SALE			VARCHAR(2),
		VID_IS_NEW				VARCHAR(2),
		VID_SELECTION			VARCHAR(2),
		VID_IN_PROGRESS			VARCHAR(2),
		VID_LICENSE				VARCHAR(200),
		VID_CATEGORY_ONE		NVARCHAR(max),
		VID_REMARKS				NVARCHAR(max),
		VID_WIDTH				INT,
		VID_HEIGHT				INT,
		VID_FRAMERESOLUTION		INT,
		VID_FRAMERATE			INT,
		VID_VIDEODURATION		INT,
		VID_COMPRESSIONTYPE		nvarchar(max),
		VID_BITRATE				INT,
		VID_EXTENSION			VARCHAR(10),
		VID_MIMETYPE			nvarchar(max),
		VID_PREVIEW_WIDTH		INT,
		VID_PREVIEW_HEIGTH		INT,
		VID_GROUP				INT DEFAULT NULL,
		VID_PUBLISHER			VARCHAR(200),
		VID_NAME_ORG			VARCHAR(200),
		VID_NAME_IMAGE			VARCHAR(200),
		VID_NAME_PRE			VARCHAR(200),
		VID_NAME_PRE_IMG		VARCHAR(200),
	 	VID_SIZE                INT,
	 	VID_PREV_SIZE           INT,
	 	LUCENE_KEY		   		VARCHAR(2000),
	 	SHARED			  		VARCHAR(2) DEFAULT 'F',
	 	LINK_KIND				VARCHAR(20),
		LINK_PATH_URL			VARCHAR(2000),
		VID_META				nvarchar(max),
		HOST_ID					INT,
		PATH_TO_ASSET		    VARCHAR(100),
		 CLOUD_URL			   VARCHAR(500),
		  CLOUD_URL_ORG		   VARCHAR(500),
		  HASHTAG			   VARCHAR(100),
		  IS_AVAILABLE		  VARCHAR(1) DEFAULT 0,
		  CLOUD_URL_EXP		   INT,
		PRIMARY KEY (VID_ID),
		FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- VIDEOS TEXT --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#videos_text
		(
		  ID			   INT NOT NULL IDENTITY(1,1),
		  VID_ID_R         INT NOT NULL,
		  LANG_ID_R        INT NOT NULL,
		  VID_KEYWORDS     nvarchar(max),
		  VID_DESCRIPTION  nvarchar(max),
		  VID_TITLE		   nvarchar(max),
		  HOST_ID				INT,
		PRIMARY KEY (ID),
		FOREIGN KEY (VID_ID_R) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#videos (VID_ID) ON DELETE CASCADE
		)
		
		</cfquery>
				
		<!--- SCHEDULES --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#schedules
		(
			SCHED_ID 			 INT NOT NULL,
			SET2_ID_R 			 INT,
			SCHED_USER 			 INT,
			SCHED_STATUS 		 VARCHAR(1) DEFAULT 1,
			SCHED_METHOD 		 VARCHAR(10),
			SCHED_NAME 			 VARCHAR(255),
			SCHED_FOLDER_ID_R    INT,
			SCHED_ZIP_EXTRACT 	 INT,
			SCHED_SERVER_FOLDER  nvarchar(max),
			SCHED_SERVER_RECURSE INT DEFAULT 1,
			SCHED_SERVER_FILES   INT DEFAULT 0,
			SCHED_MAIL_POP 		 VARCHAR(255),
			SCHED_MAIL_USER 	 VARCHAR(255),
			SCHED_MAIL_PASS 	 VARCHAR(255),
			SCHED_MAIL_SUBJECT 	 VARCHAR(255),
			SCHED_FTP_SERVER 	 VARCHAR(255),
			SCHED_FTP_USER 		 VARCHAR(255),
			SCHED_FTP_PASS 		 VARCHAR(255),
			SCHED_FTP_PASSIVE    INT DEFAULT 0,
			SCHED_FTP_FOLDER 	 VARCHAR(255),
			SCHED_INTERVAL       VARCHAR(255),
			SCHED_START_DATE     DATETIME,
			SCHED_START_TIME     DATETIME,
			SCHED_END_DATE       DATETIME,
			SCHED_END_TIME       DATETIME,
			HOST_ID				 INT,
		PRIMARY KEY (SCHED_ID),
		FOREIGN KEY (SCHED_USER) REFERENCES #arguments.thestruct.theschema#.users (USER_ID) ON DELETE SET NULL,
		FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- SCHEDULES_LOG --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#schedules_log
		(
			SCHED_LOG_ID        INT NOT NULL,
			SCHED_ID_R          INT,
			SCHED_LOG_USER      INT,
			SCHED_LOG_ACTION    VARCHAR(10),
			SCHED_LOG_DATE      DATETIME,
			SCHED_LOG_TIME      DATETIME,
			SCHED_LOG_DESC      nvarchar(max),
			HOST_ID				INT,
		PRIMARY KEY (SCHED_LOG_ID),
		FOREIGN KEY (SCHED_ID_R) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#schedules (SCHED_ID) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- CUSTOM FIELDS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#custom_fields
		(
			cf_id 			INT, 
			cf_type	 		VARCHAR(20), 
			cf_order 		INT, 
			cf_enabled 		VARCHAR(2), 
			cf_show			VARCHAR(10),
			cf_group 		VARCHAR(100),
			HOST_ID			INT,
			PRIMARY KEY (cf_id),
		)
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#custom_fields_text
		(
			cf_id_r			INT, 
			lang_id_r 		INT, 
			cf_text			nvarchar(max),
			HOST_ID			INT,
			FOREIGN KEY (cf_id_r) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#custom_fields (cf_id) ON DELETE CASCADE
		)
		
		</cfquery>
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#custom_fields_values
		(
			cf_id_r			INT, 
			asset_id_r 		INT, 
			cf_value		nvarchar(max),
			HOST_ID			INT,
			FOREIGN KEY (cf_id_r) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#custom_fields (cf_id) ON DELETE CASCADE
		)
		
		</cfquery>
		
		<!--- COMMENTS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#comments
		(
			COM_ID			VARCHAR(100),
			ASSET_ID_R		INT,
			ASSET_TYPE		VARCHAR(10),
			USER_ID_R		INT,
			COM_TEXT		nvarchar(max),
			COM_DATE		DATETIME,
			HOST_ID				INT,
			PRIMARY KEY (COM_ID)
		)
		
		</cfquery>
		
		<!--- Versions --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#versions
		(
			asset_id_r			INT,
			ver_version			INT DEFAULT NULL,
			ver_type			VARCHAR(5),
			ver_date_add		DATETIME,
			ver_who				INT,
			ver_filename_org 	VARCHAR(200),
			ver_extension	 	VARCHAR(7),
			thumb_width			INT,
			thumb_height		INT,
			img_width			INT,
			img_height			INT,
			img_size			INT,
			thumb_size			INT,
			vid_size			INT,
			vid_width			INT,
			vid_height			INT,
			vid_name_image		VARCHAR(200),
			HOST_ID				INT,
			cloud_url_org		VARCHAR(500),
			ver_thumbnail		VARCHAR(200)
		)
		
		</cfquery>
		
		<!--- Translations --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#languages
		(
			lang_id			INT NOT NULL,
			lang_name		VARCHAR(100),
			lang_active		VARCHAR(2) default 'f',
			HOST_ID			INT
		)
		
		</cfquery>
		
		<!--- AUDIOS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#audios
		(
			aud_ID              INT,
			FOLDER_ID_R         INT DEFAULT NULL,
			aud_CREATE_DATE     DATETIME,
			aud_CREATE_TIME     DATETIME,
			aud_CHANGE_DATE     DATETIME,
			aud_CHANGE_TIME     DATETIME,
			aud_OWNER           INT,
			aud_TYPE            VARCHAR(5),
			aud_NAME            VARCHAR(200),
			aud_EXTENSION       VARCHAR(6),
			aud_NAME_NOEXT      VARCHAR(200),
			aud_CONTENTTYPE     VARCHAR(100),
			aud_CONTENTSUBTYPE  VARCHAR(100),
			aud_ONLINE          VARCHAR(2),
			aud_NAME_ORG        VARCHAR(200),
			aud_GROUP           INT DEFAULT NULL,
			aud_size			INT,
			LUCENE_KEY		   	VARCHAR(2000),
			SHARED			   	VARCHAR(2) DEFAULT 'F',
			aud_meta			NVARCHAR(max),
			LINK_KIND			VARCHAR(20),
		  	LINK_PATH_URL		VARCHAR(2000),
		  	HOST_ID				INT,
		  	PATH_TO_ASSET		VARCHAR(100),
		  	 CLOUD_URL			   VARCHAR(500),
		  	 CLOUD_URL_2		   VARCHAR(500),
		  CLOUD_URL_ORG		   VARCHAR(500),
		  HASHTAG			   VARCHAR(100),
		  IS_AVAILABLE		  VARCHAR(1) DEFAULT 0,
		  CLOUD_URL_EXP		   INT,
			PRIMARY KEY (aud_ID),
			FOREIGN KEY (HOST_ID) REFERENCES #arguments.thestruct.theschema#.hosts (HOST_ID) ON DELETE CASCADE
		)
		</cfquery>
		
		<!--- AUDIOS TEXT --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#audios_text
		(
			aud_ID_R			INT,
			LANG_ID_R			INT,
			aud_DESCRIPTION     NVARCHAR(max),
			aud_KEYWORDS		NVARCHAR(max),
			HOST_ID				INT,
			FOREIGN KEY (aud_ID_R) REFERENCES #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#audios (aud_ID) ON DELETE CASCADE
		)
		</cfquery>
		
		<!--- SHARE OPTIONS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE TABLE #arguments.thestruct.theschema#.#arguments.thestruct.host_db_prefix#share_options
		(
			asset_id_r		INT,
			host_id			INT,
			group_asset_id	INT,
			folder_id_r		INT,
			asset_type		varchar(6),
			asset_format	varchar(10),
			asset_dl		varchar(1) DEFAULT '0',
			asset_order		varchar(1) DEFAULT '0'
		)
		</cfquery>
		
	</cffunction>
	
	<!--- Create Indexes --->
	<cffunction name="create_indexes" access="public" output="false">
		<cfargument name="thestruct" type="Struct">
		<!--- FILES DESC --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE INDEX #arguments.thestruct.host_db_prefix#doc_description_idx ON #arguments.thestruct.host_db_prefix#files_desc
		(FILE_DESC)
		</cfquery>
		<!--- FILES KEYWORDS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE INDEX #arguments.thestruct.host_db_prefix#doc_keywords_idx ON #arguments.thestruct.host_db_prefix#files_desc
		(FILE_KEYWORDS)
		</cfquery>
		<!--- IMAGE DESCRIPTIONS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE INDEX #arguments.thestruct.host_db_prefix#img_description_idx ON #arguments.thestruct.host_db_prefix#images_text
		(IMG_DESCRIPTION)
		</cfquery>
		<!--- IMAGE KEYWORDS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE INDEX #arguments.thestruct.host_db_prefix#img_keywords_idx ON #arguments.thestruct.host_db_prefix#images_text
		(IMG_KEYWORDS)
		</cfquery>
		<!--- IMAGE XMP --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE INDEX #arguments.thestruct.host_db_prefix#img_xmp_idx ON #arguments.thestruct.host_db_prefix#images
		(metaxmp)
		</cfquery>
		<!--- VIDEO DESCRIPTIONS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE INDEX #arguments.thestruct.host_db_prefix#vid_description_idx ON #arguments.thestruct.host_db_prefix#videos_text
		(VID_DESCRIPTION)
		</cfquery>
		<!--- VIDEO KEYWORDS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE INDEX #arguments.thestruct.host_db_prefix#vid_keywords_idx ON #arguments.thestruct.host_db_prefix#videos_text
		(VID_KEYWORDS)
		</cfquery>
		<!--- AUDIO DESCRIPTIONS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE INDEX #arguments.thestruct.host_db_prefix#aud_description_idx ON #arguments.thestruct.host_db_prefix#audios_text
		(AUD_DESCRIPTION)
		</cfquery>
		<!--- AUDIO KEYWORDS --->
		<cfquery datasource="#arguments.thestruct.dsn#">
		CREATE INDEX #arguments.thestruct.host_db_prefix#aud_keywords_idx ON #arguments.thestruct.host_db_prefix#audios_text
		(AUD_KEYWORDS)
		</cfquery>
		<cfreturn />
	</cffunction>
	
	<!--- Clear database completely --->
	<cffunction name="clearall" access="public" output="false">
		<!--- Query Tables --->
		<cfquery datasource="#session.firsttime.database#" name="qrytables">
		SELECT table_name
		FROM information_schema.tables
		WHERE table_schema = '#session.firsttime.db_schema#'
		</cfquery>
		<!--- Loop and drop tables --->
		<cfloop query="qrytables">
			<cfquery datasource="#session.firsttime.database#">
			ALTER TABLE #table_name# NOCHECK CONSTRAINT ALL
			</cfquery>
			<cfquery datasource="#session.firsttime.database#">
			DROP TABLE #table_name#
			</cfquery>
		</cfloop>
		<cfreturn />
	</cffunction>
		
</cfcomponent>